libcamera v0.6.0 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
libcamera::ipa::AgcMeanLuminance::AgcConstraint Struct Reference

The boundaries and target for an AeConstraintMode constraint. More...

Collaboration diagram for libcamera::ipa::AgcMeanLuminance::AgcConstraint:
[legend]

## Public Types
enum class | Bound { Lower = 0 , Upper = 1 }
| Specify whether the constraint defines a lower or upper bound. More...

## Public Attributes
Bound | bound
| The type of constraint bound.
double | qLo
| The lower quantile to use for the constraint.
double | qHi
| The upper quantile to use for the constraint.
Pwl | yTarget
| The luminance target for the constraint.

## Detailed Description

The boundaries and target for an AeConstraintMode constraint.

This structure describes an AeConstraintMode constraint for the purposes of this algorithm. These constraints are expressed as a pair of quantile boundaries for a histogram, along with a luminance target and a bounds-type. The algorithm uses the constraints by ensuring that the defined portion of a luminance histogram (I.E. lying between the two quantiles) is above or below the given luminance value.

## Member Enumeration Documentation

## ◆ Bound

enum class libcamera::ipa::AgcMeanLuminance::AgcConstraint::Bound
| strong

Specify whether the constraint defines a lower or upper bound.

Enumerator
Lower | The constraint defines a lower bound.
Upper | The constraint defines an upper bound.

The documentation for this struct was generated from the following files:

- src/ipa/libipa/agc_mean_luminance.h
- src/ipa/libipa/agc_mean_luminance.cpp